<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Kebijakan Privasi - Jaga Jalan</title>
    <link rel="icon" type="image/png" href="{{ asset('icon/icon.png') }}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f8f9fa;
        }
        .privacy-container {
            max-width: 800px;
            margin: 50px auto;
            padding: 20px;
        }
        .privacy-card {
            background: white;
            border-radius: 10px;
            box-shadow: 0 0 20px rgba(0,0,0,0.1);
        }
        .privacy-header {
            background: #0d6efd;
            color: white;
            padding: 20px;
            border-radius: 10px 10px 0 0;
        }
        .privacy-body {
            padding: 30px;
        }
        .section-title {
            color: #0d6efd;
            margin-top: 20px;
        }
        .back-button {
            margin-top: 30px;
        }
    </style>
</head>
<body>
    <div class="privacy-container">
        <div class="privacy-card">
            <div class="privacy-header">
                <h1 class="mb-0">Kebijakan Privasi – Jaga Jalan</h1>
            </div>
            <div class="privacy-body">
                <p class="lead">Aplikasi Jaga Jalan menghormati dan melindungi privasi pengguna. Kebijakan privasi ini menjelaskan jenis data yang dikumpulkan, bagaimana data digunakan, dan bagaimana data disimpan.</p>

                <section>
                    <h3 class="section-title">1. Data yang Dikumpulkan</h3>
                    <p>Aplikasi ini mengumpulkan beberapa jenis data dari pengguna, termasuk:</p>
                    <ul>
                        <li>Alamat email, digunakan untuk proses autentikasi dan identifikasi pengguna.</li>
                        <li>Data lokasi, digunakan saat pengguna ingin melaporkan kejadian atau melihat peta di dalam aplikasi.</li>
                    </ul>
                </section>

                <section>
                    <h3 class="section-title">2. Penggunaan Data</h3>
                    <p>Data yang dikumpulkan akan digunakan untuk:</p>
                    <ul>
                        <li>Menyimpan dan menampilkan laporan dari pengguna.</li>
                        <li>Menampilkan lokasi secara real-time pada peta untuk keperluan pelaporan atau navigasi.</li>
                        <li>Memberi akses kepada admin untuk memverifikasi laporan.</li>
                    </ul>
                </section>

                <section>
                    <h3 class="section-title">3. Pihak Ketiga</h3>
                    <p>Data pengguna tidak dibagikan kepada pihak ketiga luar. Namun, data seperti lokasi dan email dapat diakses oleh admin aplikasi hanya untuk keperluan validasi dan manajemen laporan.</p>
                </section>

                <section>
                    <h3 class="section-title">4. Hak Pengguna</h3>
                    <p>Saat ini, pengguna belum dapat menghapus akun atau data secara mandiri melalui aplikasi. Namun, pengguna dapat menghubungi pihak pengelola aplikasi jika ingin menghapus data mereka.</p>
                </section>

                <section>
                    <h3 class="section-title">5. Keamanan Data</h3>
                    <p>Kami berkomitmen menjaga data pengguna dengan menggunakan sistem keamanan yang sesuai standar.</p>
                </section>

                <section>
                    <h3 class="section-title">6. Perubahan Kebijakan</h3>
                    <p>Kebijakan ini dapat diperbarui sewaktu-waktu. Perubahan akan diinformasikan melalui aplikasi atau media terkait lainnya.</p>
                </section>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html> 